* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  touch-action: manipulation;
}

body {
  width: 100%;
  height: 100vh;
  font-family: "Helvetica Neue", Arial, "Hiragino Kaku Gothic ProN", "Hiragino Sans", Meiryo, sans-serif;
}

.wrap {
  width: 100%;
  height: 100%;
  overflow: auto;
  font-size: 16px;
  text-align: center;
}
.wrap .container {
  width: 94%;
  max-width: 640px;
  height: 100%;
  margin: 0 auto;
  padding: 20px 10px;
}
.wrap .container button {
  min-height: 40px;
  padding: 8px;
  font-size: 1.4em;
  background-color: #fff;
  color: #000;
  border: 2px solid #198467;
  border-radius: 5px;
  cursor: pointer;
}
.wrap .container button:focus {
  background-color: #198467;
  color: #fff;
}
.wrap .container button:active {
  background-color: #136850;
  color: #fff;
}
.wrap .container .quizWrap.show {
  opacity: 1;
  transform: scale(1);
}
.wrap .container .quizWrap.hide {
  display: none;
}
.wrap .container .quizWrap .quizArea {
  min-height: 300px;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #ffffff;
  border: 4px solid #fff;
  box-shadow: 1px 1px 2px 2px #999;
  overflow: auto;
  opacity: 0;
  transform: scale(0);
  transition: opacity 0.3s, transform 0.3s;
}
.wrap .container .quizWrap .quizArea.show {
  opacity: 1;
  transform: scale(1);
}
.wrap .container .quizWrap .quizArea.hide {
  display: none;
}
.wrap .container .quizWrap .quizArea .questionHead {
  width: 100%;
  font-size: 1.1em;
  padding: 8px;
  background-color: #fff980;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 30px;
}
.wrap .container .quizWrap .quizArea .question {
  width: 94%;
  font-size: 1.6em;
  padding: 0 10px 5px;
  border-bottom: 3px solid #246640;
  margin-bottom: 30px;
  min-height: 1.8em;
}
.wrap .container .quizWrap .quizArea .choiceList {
  width: 90%;
  display: flex;
  gap: 12px;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}
.wrap .container .quizWrap .quizArea .choiceList button {
  flex: 1 1 45%;
}
.wrap .container .quizWrap .quizArea .choiceList button:active, .wrap .container .quizWrap .quizArea .choiceList button.selected {
  background-color: #136850;
  color: #fff;
}
.wrap .container .slide {
  max-width: 640px;
  min-height: 200px;
  background-color: #ffffff;
  border: 4px solid #fff;
  box-shadow: 1px 1px 2px 2px #999;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  opacity: 0;
  transform: translateY(0);
  transition: opacity 0.3s, transform 0.3s;
}
.wrap .container .slide.show {
  opacity: 1;
  transform: translateY(20px);
}
.wrap .container .slide.hide {
  display: none;
}
.wrap .container .slide button {
  width: 70%;
  font-size: 1.25em;
  background-color: #198754;
  color: white;
}
.wrap .container .slide button:hover, .wrap .container .slide button:focus {
  background-color: #198467;
}
.wrap .container .slide button:active {
  background-color: #136850;
}
.wrap .container .slide.judgeArea {
  min-height: 160px;
}
.wrap .container .slide.judgeArea .judge {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.wrap .container .slide.judgeArea .judge .judgeText {
  font-size: 1.6em;
  padding: 6px 10px;
  margin-right: 20px;
}
.wrap .container .slide.judgeArea .judge .judgeText.correct {
  background-color: #ff5252;
  color: #fff;
}
.wrap .container .slide.judgeArea .judge .judgeText.incorrect {
  background-color: #ffe3e0;
  color: #333;
}
.wrap .container .slide.judgeArea .judge .correctText {
  font-size: 1.6em;
}
.wrap .container .slide.resultArea .resultMsg {
  font-size: 1.6em;
}
.wrap .container .slide.resultArea .totalQuizLen {
  font-size: 1.2em;
}